| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Slots | Protected Attributes | List of all members
Digikam::SearchFieldGroup Class Reference
Inheritance diagram for Digikam::SearchFieldGroup:

## Public Slots
void | setFieldsVisible (bool visible)

## Public Member Functions
| SearchFieldGroup (SearchGroup *const parent)
void | addField (SearchField *const field)
QList< QRect > | areaOfMarkedFields () const
void | clearMarkedFields ()
SearchField * | fieldForName (const QString &fieldName) const
void | markField (SearchField *const field)
void | reset ()
void | setLabel (SearchFieldGroupLabel *const label)
void | write (SearchXmlWriter &writer)

## Protected Slots
void | slotLabelClicked ()

## Protected Attributes
VisibilityController * | m_controller = nullptr
QList< SearchField * > | m_fields
SearchFieldGroupLabel * | m_label = nullptr
QGridLayout * | m_layout = nullptr
QSet< SearchField * > | m_markedFields